jQuery(document).ready( function() {

   jQuery('#wl_send_form_btn').click( function() {

      var name = jQuery('#wl_user_name').val();
	var contact = jQuery('#wl_user_contact').val();
	var quest = jQuery('#wl_user_question').val();
      var nonce = jQuery('#wl_ajax_form_nonce').val();
	var mailto = jQuery('#wl_mailto_form').val();
	
	if(name == '' || contact == '' || quest == '') {
	   jQuery('#wl_form_infomsg').html('Не все поля заполнены.');
	   return;
	}
      jQuery.ajax({
         type : "post",
         dataType : "json",
         url : wlAjax.ajaxurl,
         data : {
		action: "wl_send_ajax",
		nonce : nonce,
		name : name,
		contact : contact,
		mailto : mailto,
		quest : quest
	   },
	   beforeSend : function(){
		jQuery('#wl_ajax_form_plugin').hide(50);
	   },
	   error : function(request, txtstatus, errorThrown){
		console.log(request);
		console.log(txtstatus);
		console.log(errorThrown);
	   },
         success : function(response) {
		console.log(response);
            if(response.type == "success") {
		   jQuery('#wl_form_infomsg').html("Сообщение отправлено.");
            }
            else {
               jQuery('#wl_form_infomsg').html('Отправка не удалась.');
            }
         }
      })   
   return;
   });
})